# FoundationClasses
TKAdvTools
Dynamic

# Dynamic_VariableNode Class Reference

`#include <Dynamic_VariableNode.hxx>`

Inheritance diagram for Dynamic_VariableNode:

[legend]

## Public Member Functions

Standard_EXPORT | Dynamic_VariableNode ()
Standard_EXPORT | Dynamic_VariableNode (const Handle(Dynamic_Variable)&anitem)
Standard_EXPORT void | Object (const Handle(Dynamic_Variable)&anitem)
Standard_EXPORT Handle_Dynamic_Variable | Object () const
Standard_EXPORT void | Next (const Handle(Dynamic_VariableNode)&anode)
Standard_EXPORT Handle_Dynamic_VariableNode | Next () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Dynamic_VariableNode | thenextnode
Handle_Dynamic_Variable | theitem

## Constructor & Destructor Documentation

Standard_EXPORT Dynamic_VariableNode::Dynamic_VariableNode | ( |  | ) |

Standard_EXPORT Dynamic_VariableNode::Dynamic_VariableNode | ( | const Handle(Dynamic_Variable)& | anitem | ) |

## Member Function Documentation

Standard_EXPORT const Dynamic_VariableNode::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT Handle_Dynamic_VariableNode Dynamic_VariableNode::Next | ( |  | ) | const

Standard_EXPORT void Dynamic_VariableNode::Next | ( | const Handle(Dynamic_VariableNode)& | anode | ) |

Standard_EXPORT Handle_Dynamic_Variable Dynamic_VariableNode::Object | ( |  | ) | const

Standard_EXPORT void Dynamic_VariableNode::Object | ( | const Handle(Dynamic_Variable)& | anitem | ) |

## Field Documentation

Handle_Dynamic_Variable Dynamic_VariableNode::theitem `[private]`

Handle_Dynamic_VariableNode Dynamic_VariableNode::thenextnode `[private]`

The documentation for this class was generated from the following file:

- Dynamic_VariableNode.hxx